# SPDX-License-Identifier: GPL-2.0-only
%YAML 1.2
---
$id: http://devicetree.org/schemas/rtc/sa1100-rtc.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Marvell Real Time Clock controller bindings

allOf:
  - $ref: rtc.yaml#

maintainers:
  - Alessandro Zummo <a.zummo@towertech.it>
  - Alexandre Belloni <alexandre.belloni@bootlin.com>
  - Rob Herring <robh+dt@kernel.org>

properties:
  compatible:
    enum:
      - mrvl,sa1100-rtc
      - mrvl,mmp-rtc

  reg:
    maxItems: 1

  clocks:
    maxItems: 1

  resets:
    maxItems: 1

  interrupts:
    minItems: 2

  interrupt-names:
    items:
      - const: 'rtc 1Hz'
      - const: 'rtc alarm'

required:
  - compatible
  - reg
  - interrupts
  - interrupt-names

additionalProperties: false

examples:
  - |
    rtc: rtc@d4010000 {
        compatible = "mrvl,mmp-rtc";
        reg = <0xd4010000 0x1000>;
        interrupts = <5>, <6>;
        interrupt-names = "rtc 1Hz", "rtc alarm";
    };

...
